
ReadMe Information for Adobe (R) Acrobat(R) Reader v. 4.05 for UNIX(R)
==============================================================================
Updated: 10 - 22 - 99

Welcome to the Adobe Acrobat Reader for Unix. Below are known issues
regarding running the Reader on the various platforms, as well as
regarding running inside of the Netscape web browser. Please read
this file completely to get the most out of your Acrobat experience.
Thanks for using Adobe Acrobat!

   
Adobe Acrobat Reader - Platforms, Availability, and Redistribution
------------------------------------------------------------------

Versions of the Acrobat Reader and Acrobat Reader with Search are
available for 32-bit Windows (Windows 95, and NT 4.0), Macintosh 
(PowerPC), Sun Solaris, SunOS, HP-UX, IBM AIX, and SGI IRIX.  
In addition, versions of the Acrobat Reader are now also available 
for Intel based Linux and Digital Unix.

Installers for all of these versions are available from Adobe's Web
Site at http://www.adobe.com/prodindex/acrobat/readstep.html.

They are also included on the Acrobat Reader; for ordering
information see http://www.adobe.com/prodindex/acrobat/cdrom.html.

For information on redistributing the Acrobat Reader installers see
http://www.adobe.com/prodindex/acrobat/distribute.html.


Technical Support
-----------------

The following technical support options are available for Adobe
Acrobat Reader:

A. Visit the Adobe World Wide Web site at http://www.adobe.com/. The
Adobe Customer Support Databases can be searched at
http://www.adobe.com/supportservice/custsupport/database.html .

B. E-mail techdocs@adobe.com to obtain an index of technical solutions
available via e-mail. Enter "250099" as the subject of your e-mail to
obtain the index of Acrobat documents.

C. Call Adobe's FaxYI faxback system at 206-628-5737 (in North
America) or +44 131 458 3022 (in Europe) and request document number
250099 for an index of technical solutions available via fax.

D. Visit Adobe's online forums on America Online (keyword ADOBE) or
CompuServe (GO ADOBESYS). Online volunteers and forum managers offer
assistance on Adobe products when issues are posted on the message
boards.

E. If you reside in the United States or Canada, contact Adobe Acrobat
Technical Support between 6:00 a.m. to 5:00 p.m. Pacific Standard
Time. You can either call the (206) number and purchase an Adobe
Service Credit for $25, or call Adobe's Pay-For-Support (900) number.
When you call the 900 number, after the first three minutes, $2.00 per
minute will be charged to your phone bill.

Acrobat Technical Support for UNIX	  206-675-6404 (or) 900-555-4400
Acrobat Technical Support for Macintosh	  206-675-6204 (or) 900-555-3300
Acrobat Technical Support for Windows	  206-675-6304 (or) 900-555-2200


Known Issues with Acrobat Reader 4.05
------------------------------------

General Information
-------------------
1.  Using NCD PC-Xware:
    A pink tint will appear when Smooth Fonts is turned on in General
    Preferences and the default visual is TrueColor 5-6-5 (RGB) in 16-bit mode
    (this is a PC-Xware problem).  This affects only the display, not the print
    result.
    SOLUTION: Change to a different visual (8-bit or 24-bit) or turn off the
    Smooth Fonts option.

2.  Acrobat Reader will not run correctly from a directory where the "pwd"
    command fails.
   
3.  We recommend you remove the file $HOME/.acrorc before running Acrobat 4.0
    for the first time.  This ensures the default preference settings are used
    when you first run Acrobat 4.0. This is not, however, a necessity, and may
    actually be undesirable if you wish to continue running Acrobat Exchange 3.0.    

4.  Files listed in the File menu are "recent files" and depend upon exact path
    names. If you open a file in a session using automounter and the
    automounter goes down, attempting to open the "recent file" will give a
    "No such file or directory" error.  This also occurs when the file is moved,
    renamed, or Reader is run from a different machine that does not have the
    same file systems mounted.

5.  To prevent temporary files (for instance opened from the Web) 
    from appearing in the "recent files" list, set your mailcap entry 
    as follows:
   
    application/pdf;acroread -tempFile %s

6.  Acrobat Reader does not warn the user when the preferences file cannot be
    written. Please make sure '$HOME/.acrorc' is writable if you wish to save
    preferences.

7.  Some Window managers may work better than others. Specifically, we have
    tested CDE, KDE, and Openwindows.
  
8.  Users cannot print password-protected PDF documents to PostScript from the
    command line even though they are able to print the files from Acrobat
    Reader.
  
9.  When operating in a heterogenous network enviroment using Novell servers, we
    recommend you avoid giving PDF files long names (greater than 32
    characters). A Novell server displays the long file name to a Macintosh
    user, but the Macintosh Operating System prevents Acrobat from opening the
    file. This is not a problem on Windows.
  
10. Modal dialog boxes may appear to be "buried" behind the main document
    window.  When they are behind the main window, they are still active and
    prevent the user from doing anything. To bring the dialog to the front,
    click anywhere in the main window. You can now dismiss the dialog and
    proceed.
   
11. At the command line, type 'acroread -help' or 'acroread -helpall' for more
    information on command line options. Note that when using these command
    lines you must still supply a DISPLAY variable if one is not already defined 
    in your environment. 

12. On a Tektronics X-Terminal:
    If displaying a document in Full Screen mode using a black background, a
    small white line will appear along the bottom and right edges of the
    background. This is due to a problem in the olwm running locally on the
    X-Terminal and is not an Acrobat bug.
  
13. Characters in PDF files that are not part of the ISO8859 encodings will not
    display when the text is selected and pasted elsewhere. This is most notable
    with the Registered and Trademark symbols. Printing is not affected and will
    work fine.
   
14. Printing: no document printed and/or error in lp log.
    When you lp foo.ps, it creates a symbolic link from the spool file to the
    foo.ps file.  This saves space on the file system.  Unfortunately, Acrobat
    creates a temporary file to spool, writes the PostScript out, and then
    deletes the temporary file before the lpd process can get hold of it.
    SOLUTION: Include the "-c" option (copy) on the lp or lpr command in the 
    print dialog box.  This forces the lp process to copy the file to the spool 
    area instead of making a link.

15. In Acrobat 3.0 and later it is possible to give a PDF file attributes for how it 
    should open (with or without Tool bar, etc.)  To make Acrobat ignore the 
    "Open" settings, keep the CTRL and Shift keys pressed down when 
    clicking OK in the File > Open dialog box.  For example, when opening a file
    which has been set to hide the Tool bar, it is not possible to then show the
    Tool bar for the file once it is open. If you need the Tool bar displayed, 
    you should close the file and re-open it making Acrobat ignore the "Open" 
    settings. 

16. Launching external applications / Security - PDF files may contain
    instructions to launch an external application or to open a non-PDF
    file.  To enhance the security of PDF files, Acrobat Reader version 4.0
    will prompt users with an alert before launching
    an external application, an executable file or a command.
    The alert will say: "Acrobat is about to launch this application: "
    [Application] "Allow this action (yes) or all actions to all
    applications (all)?"  followed by three buttons, "Yes", "No", and "All".
    - Choosing "Yes" will allow only this instance of this action.  
    - Choosing "No" will prevent this instance of this action.
    - Choosing "All" will allow all instances of all actions, thus
    disabling the alert until Acrobat is exited and restarted.
    
17. Using Acrobat Search. If you want to create full text search indexes that 
    can be reliably used across platforms, you must use ISO 9660 file naming 
    conventions for the indexed files (8.3 uppercase, restricted character set).  
    If you don't use such names, the UNIX Reader will attempt to guess what the 
    Unix filenames are. This causes delays in searching, and may result in the
    file not being found.
    
18. The select graphics tool and column text select tool are nested under the 
    select text tool. To select one of these other tools, click and hold down 
    the select text tool button, then drag your mouse over to the tool you wish
    to use.

19. Although there is a "Use Page Cache" option, it is disabled inside the
    Viewer for 4.0. 

20. The acrobat reader will not support visuals with 12 planes. If you
    attempt to run the reader on a display set to a visual with 12 planes 
    you will see the following message:

        Depth=12 Visuals are not supported by Acrobat Reader

    If this happens, you can manually set the visual for the Reader by
    using the -visual command line option. 8, 16, and 24 plane visuals
    are fully supported. You can use the xdpyinfo command to determine
    your X terminal's supported visuals. See the man page for more info.

21. Open file links may not work on Unix platforms
    On Unix platforms, links to an external file may not open correctly due to
    system file registration incompatibilities
[303737]

22. Full Reader functionality is not available for CJK text on Unix
    The Unix Acrobat Reader has been enhanced to view and print documents that
    contain Chinese, Korean, and Japanese text.  However, there are currently
    various limitations on Unix:
    -No Forms fill in using Asian fonts
    -Cannot view notes created with Asian fonts
    -You may not search/find words that use Asian fonts
    -Bookmarks which use Asian fonts will not be displayed correctly
    -You may not copy/paste words containing Asian  fonts
[306872]

23. Errors when printing PDF files saved from InDesign 1.0
    PDF files created by InDesign 1.0 will sometimes give an error when printing
    to PostScript Level 2 and Level 3 printers.  The workaround is to create the
    PDF from InDesign using Distiller, or print from Acrobat to a PCL printer,
    or print from Acrobat using Print As Image.
[323742]


Known Issues for Acrobat Reader Working with Netscape
-----------------------------------------------------

ACROBAT WON'T LAUNCH. If you encounter problems where PDF documents do not view 
correctly in Netscape, Netscape hangs, or document transmission stalls, you may 
disable PDF viewing in the Netscape window and use the viewer as a "Helper Application".

To disable PDF rendering in the Netscape 3.0 window:

1. Pull down the "Options" menu item and select "General Preferences".  On the
   "General Options" dialog, select the "Helpers" tab item.  Find the item in
   the list of helper applications that looks like the following: 

      application/pdf      Plug In : nppdf.so

2. Select this item. 

3. Select the "Edit ..." button to modify this entry. In the dialog box, select
   the item marked "Application" and enter the pathname to the Acrobat Reader 
   product along with the "%s" field identifier for the temporary file name. 
   For example, if Acrobat Reader is installed in /usr/local/Acrobat4 then
   enter the following in the text box for the application:

      /usr/local/Acrobat4/bin/acroread %s

4. Select the "OK" button in the "Netscape Helper" dialog box. 

5. Select the "OK" button in the "Netscape: General Preferences" dialog box. 
   The view in Netscape window feature has been disabled and Acrobat will act
   as a Netscape helper application.
   
   

SOME FORMS CAUSE "SAVE AS" DIALOG Some forms cause the Save As dialog to come up. 
This is because certain forms return Forms Data Format files (.fdf) and 
Netscape is not set up to handle this mime type. This is easy to fix; following
are directions for Navigator 4.x:

-Bring up Preferences dialog by selecting the Edit menu, then the "preferences"
menu item.
-Under the Navigator section, select Applications.
-Click on the New button.
-For Description, type Forms Data Format
-For Mime type enter: application/vnd.fdf
-For Suffixes enter: fdf
-Click Application
-Type /usr/local/Acrobat4/bin/acroread -iconic %s (note: your path may vary)
-Click OK

Navigator 3.x:
-Choose General Preferences from the options menu
-In the General Preferences window that appears, click the Helpers Tab.
-Click "Create New Type"
-Mime Type: application
-Mime SubType: vnd.fdf
-Click OK
Now application/vnd.fdf should be selected. If not, scroll to it in the File type list.
-Under the text field "File Extensions, type: fdf
-Click "launch the application"
-Type in the application text field: 
  /usr/local/Acrobat4/bin/acroread %s iconic (note: your path may vary)
-Click OK

Netscape is now ready to accept forms data format.
   
RUNNING IN 256 COLORS OR LESS. Often the viewer may launch in greyscale mode 
when running inside of Netscape as a plugin. This will happen when your default 
visual has a color depth of 8 planes or less (PseudoColor for instance).This is 
because Netscape does not "grab" enough colors for Acrobat. You can work around 
this problem by launching an instance of the Acrobat Reader and displaying it on 
the current screen before launching Netscape. Netscape will then use the Color Map 
that Acrobat has created and will allow the viewer to run as a plugin with enough 
colors. This won't be an issue if you are running with 16 or more color planes.

CAN'T SUBMIT FORMS FROM NETSCAPE. Submitting forms on the web will not work if 
Netscape has warned you that it found a lock file in the .Netscape  folder. 
This warning (which occurs when you first launch Netscape) usually means you have 
another copy of Netscape running. You may fix this problem by insuring that only 
one copy of Netscape is running. If a lock file is left around because of a Netscape 
crash, you may simply delete the .Netscape/lock file.

SETTING UP WEBLINK. It is a good idea to set the weblink preferences so
that the Acrobat reader can find netscape. We recommend that you actually
point to the editted netscape launch script that we provide with the Acrobat
Reader, which can be found in the Acrobat4/Browsers folder. You can edit
this script to set NDIR to point to your netscape installation and set the
ADIR to point to your Acrobat installation.
   If you set up your Browser application to point to our script, you
won't have multiple launches of the reader if you click on a web link, in
a PDF file, then later click on a PDF Link on a web page. That is not the
case if you set your Web Browser Application to the netscape provided script.

AIX-Specific Information
------------------------

1.  The acrobat plugin for netscape does not run properly under AIX 4.3.
    If you attempt to use the plugin under netscape 4.7, you may see a message:
    "Cant load plugin". For AIX 4.3, we recommend setting up Acrobat as
    a helper application instead of a plugin. See above for instructions.
    on how to do this.
2.  Some versions of netscape will crash when a pdf link is revisited. If
    this is happening on your system, we recommend you run acrobat as a helper
    application instead of a plugin. See above for instructions.

Solaris-Specific Information
----------------------------

1.  Text colors may change depending on zoom factor. This occurs when working in
    Solaris on a Sparcstation with a CG14 frame buffer and is a known problem
    with the CG14 frame buffer. Please contact Sun Microsystems for a patch.
    The following patches are available and should correct the problem:
  
      Solaris Release      Patch id
      ---------------      ---------
           2.5.1           103794-01
           2.5             103074-02
           2.4             101922-15
           2.3             101594-18

2.  A segmentation fault will occur when launching Acrobat Reader if your
    PSRESOURCEPATH includes /usr/openwin/lib/X11. This directory does not
    contain Type1 PostScript fonts and should not be included in the path
    statement.

3.  We have experienced crashes while trying to fill in forms using the
    X server that ships with _all_ versions of Solaris 2.6. There is a
    patch available from sun to fix this. The patch number is 105633-21
    and you may download it from sun's website at http://www.sun.com.

4.  There is no search functionality available for the x86 Solaris version
    of the Acrobat Reader.


HP-UX-Specific Information
--------------------------
  
1.  You might receive warning messages indicating missing fonts. There are
    several messages you could receive depending on your configuration.

    - You are displaying on an X server that has no HP-ROMAN8 font defined. The
    message you receive is:
  
      Warning: No fonts available with charset "HP-ROMAN8", using "ISO8859-1"
   
    In this situation, upper-ascii characters will display incorrectly. To fix
    this, change your language to an ISO8859 language
    (e.g., setenv LANG american.iso88591).
  
    - The variable fontList is specified and its encoding doesn't match the
    encoding of the application. If you specified an ISO font list, you
    will receive an error that says the encoding for fontList doesn't match
    the locales encoding. You need to change your LANG variable as listed above.
   
    - The Helvetica used by the Motif toolkit is not available on the system in
    the hp-roman8 encoding. The message you might receive is:
  
    Warning: Cannot convert string
   "-adobe-helvetica-bold-r-normal-*-*-120-*-*-*-*-hp-roman8" to type FontStruct
  
    This occurs when you are running on HP but displaying on a non-HP system. To
    fix this, set an application resource for fontList to specify a font that
    exists on the system.

2.  The HP Motif library uses different virtual key bindings than Sun's. As a
    result, when running on a Sun and displaying on an HP, the keys for
    DeleteLine, DeleteChar, InsertLine, and InsertChar may not be properly
    defined by default. You can tell if you get warnings of the form
     'Warning: cannot convert string "<Key>DeleteChar" to type VirtualBinding'.
    One consequence of this is that the Esc key on some HP keyboards will not
    work to exit Full Screen mode.

    To fix this, load a file with the appropriate key bindings using the
    "xmbind" command.  See the man page for xmbind for where it looks for the
    file. Check the bindings using  "xprop -root | grep BIND".

    The resulting string should include hpDeleteLine, hpDeleteChar,
    hpInsertLine, and hpInsertChar.
    
3.  Support for viewing/printing files with embedded ICC profiles, a new feature
    of Acrobat 4.0, is not supported on the HP platform due to compiler issues.
    Currently, if you try to print a file with an embedded ICC profile, your
    viewer may display a bus error, and possibly crash.
   

IRIX-Specific Information
-------------------------

None at this time.


OSF-Specific Information
------------------------

None at this time.


Linux-Specific Information
--------------------------

1.    The Acrobat Reader for Linux  was built on a 2.2.5-15  kernel. 
      (RedHat 6.0)

2.    There is currently no search functionality available for the Linux Acrobat
      Reader. 
      
3.    The current Reader is now "glibc" 2.1 based as opposed to libc. This 
      means that the Acrobat Reader has been linked with libc.so.6 as 
      opposed to libc.so.5.
      The effects of this are mainly that if you are using a "libc" based
      version of Netscape, you will not be able to launch the Reader as a 
      plugin. In fact, this will crash netscape. 
      Also, systems that use the older "2.0.x" glibc libraries (such as
      RedHat 5.x and Debian 2.x, and Slackware 4.x) may experience crashes 
      when running this version of the Acrobat Reader. We therefore recommend 
      running the very latest version of your distribution. Debian plans to 
      move to glibc 2.1 in the next release. Slackware is glibc 2.1 based for 
      version 7.0.

---------------------------------------------------------------------------------

Adobe, the Adobe logo, Acrobat, the Acrobat logo, and PostScript are trademarks
of Adobe Systems Incorporated or its subsidiaries and may be registered in
certain jurisdictions. Macintosh is a registered trademark of Apple Computer,
Inc. Digital is a trademark of Digital Equipment Corporation. HP is a registered
trademark and HP-UX is a trademark of Hewlett-Packard Company. IBM, AIX, and
OS/2 are registered trademarks of International Business Machines Corporation.
Microsoft and Windows are registered trademarks and Windows NT is a trademark of
Microsoft Corporation in the U.S. and other countries. Motif is a trademark of
Open Software Foundation, Inc. IRIX is a trademark of Silicon Graphics, Inc.
Solaris is a registered trademark of Sun Microsystems, Inc., which has not
tested or approved this product. Sun, SunOS, and OpenWindows are trademarks of
Sun Microsystems, Inc. SPARC is a registered trademark of SPARC International,
Inc. SPARCstation is a registered trademark of SPARC International, Inc.,
licensed exclusively to Sun Microsystems, Inc. and is based upon an architecture
developed by Sun Microsystems, Inc. UNIX is a registered trademark in the United
States and other countries, licensed exclusively through X/Open Company, Ltd. X
Window System is a trademark of the Massachusetts Institute of Technology. All
other products or name brands are trademarks of their respective holders.

Copyright 1983 - 1999 Adobe Systems Incorporated. All rights reserved.
